// @ts-ignore

/* eslint-disable */
import { request } from 'umi';

export default {
  /** 获取订单流水信息*/
  orderList(data) {
    return request(`/kitchen/api/Order/GetPage`, {
      method: 'Post',
      data: data,
    });
  },
  GetPageListLogs(data) {
    return request(`/kitchen/api/Order/GetPageListLogs`, {
      method: 'Post',
      params: data,
    });
  },
  Update(data) {
    return request(`/kitchen/api/Order/Update`, {
      method: 'Post',
      data: data,
    });
  },

  /**
   * 查询店铺分类(设备类型)信息
   */
  srdTypeList(data) {
    return request(`/kitchen/api/storetype/list`, {
      method: 'Post',
      data: data,
    });
  },
  /**
   * 查询店铺信息(设备信息)
   */
  srdList(data) {
    return request(`/kitchen/api/store/list`, {
      method: 'Post',
      data: data,
    });
  },

  /**
   * 查询商品信息
   */
  goodsList(data) {
    return request(`/kitchen/api/goodes/list`, {
      method: 'Post',
      data: data,
    });
  },
  /**
   * 查询商品类型
   */
  goodsTypeList(data) {
    return request(`/kitchen/api/goodstype/list`, {
      method: 'Post',
      data: data,
    });
  },
};
