// @ts-ignore

/* eslint-disable */
import { request } from 'umi';

/** 获取库存列表  post /kitchen/api/rule */
export async function getStockItemList(data) {
  return request('/kitchen/api/stock-item-application/stock-page', {
    method: 'Post',
    data: data,
  });
}

/** 库存盘点 PUT /kitchen/api/rule */

export async function StockInventorySet(data) {
  return request('/kitchen/api/stock-item-application/stock-inventory-set', {
    method: 'Post',
    data: data,
  });
}

/** 盘点删除 DELETE /kitchen/api/rule */

export async function removeStockItem(data) {
  return request(`/kitchen/api/stock-item-application/stock-inventory/${data}`, {
    method: 'Post',
    // ...(options || {}),
  });
}

/** 修改库存 PUT /kitchen/api/rule */

export async function updateStockItem(data) {
  return request('/kitchen/api/stock-item-application/stock-item-count', {
    method: 'PUT',
    data: data,
  });
}



/**获取物料基础信息 */
export async function getProductPage(data) {
  return request('/kitchen/api/product/product-list', {
    method: 'Post',
    data: data,
  });
}

/**获取机构基础信息 */
export async function getOrgPage(data) {
  return request('/kitchen/api​/sysOrg​/page', {
    method: 'GET',
    data: data,
  });
}

/**获取物料单位 */
export async function getUintList(params, options) {
  return request('/kitchen/api/unit/uint-list', {
    method: 'GET',
    params: {
      ...params,
    },
  });
}
